Hooks:PostHook(WeaponFactoryTweakData, "init", "MosconiAttachment", function(self)

-- Override --
self.wpn_fps_sho_m590.override = self.wpn_fps_sho_m590.override or {}

-----------------------------------------------------------------------------

-- Parts Altering --
-- Shotgun --
-- Mosconi 12G Tactical --
-- Foregrip --
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_shot_r870_fg_wood")

self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_body_standard = self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_body_standard or {}
self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_body_standard.override = self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_body_standard.override or {}
self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_body_standard.override = {
	wpn_fps_upg_fl_ass_smg_sho_surefire = { forbids = { "wpn_fps_shot_r870_fg_wood" } },
	wpn_fps_upg_fl_ass_smg_sho_peqbox = { forbids = { "wpn_fps_shot_r870_fg_wood" } },
	wpn_fps_upg_fl_ass_laser = { forbids = { "wpn_fps_shot_r870_fg_wood" } },
	wpn_fps_upg_fl_ass_peq15 = { forbids = { "wpn_fps_shot_r870_fg_wood" } },
	wpn_fps_upg_fl_ass_utg = { forbids = { "wpn_fps_shot_r870_fg_wood" } }
}

-- Grip --
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_snp_tti_g_grippy")

-- Stock --
self.wpn_fps_sho_m590.stock_adapter = "wpn_fps_sho_m590_s_adapter"
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_upg_m4_s_pts")
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_upg_m4_s_crane")
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_upg_m4_s_mk46")
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_upg_m4_s_ubr")
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_snp_tti_s_vltor")

self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_s_standard = self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_s_standard or {}
self.wpn_fps_sho_m590.override.wpn_fps_sho_m590_s_standard = {
	adds = { "wpn_fps_sho_m590_s_adapter" }
}

local hr_m590_s = {
	"wpn_fps_upg_m4_s_pts",
	"wpn_fps_upg_m4_s_crane",
	"wpn_fps_upg_m4_s_mk46",
	"wpn_fps_upg_m4_s_ubr",
	"wpn_fps_snp_tti_s_vltor"
}
for i, part_id in pairs(hr_m590_s) do
	self.wpn_fps_sho_m590.override[part_id] = self.wpn_fps_sho_m590.override[part_id] or {}
end

self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_pts.a_obj = "a_sp"
self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_pts.unit = "units/mods/weapons/wpn_fps_sho_m590_pts/wpn_fps_sho_m590_s_pts"

self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_crane.a_obj = "a_scm"
self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_crane.unit = "units/mods/weapons/wpn_fps_sho_m590_pts/wpn_fps_sho_m590_s_crane"

self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_mk46.a_obj = "a_scm"
self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_mk46.unit = "units/mods/weapons/wpn_fps_sho_m590_pts/wpn_fps_sho_m590_s_mk46"

self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_ubr.a_obj = "a_su"
self.wpn_fps_sho_m590.override.wpn_fps_upg_m4_s_ubr.unit = "units/mods/weapons/wpn_fps_sho_m590_pts/wpn_fps_sho_m590_s_ubr"

self.wpn_fps_sho_m590.override.wpn_fps_snp_tti_s_vltor.a_obj = "a_sv"
self.wpn_fps_sho_m590.override.wpn_fps_snp_tti_s_vltor.unit = "units/mods/weapons/wpn_fps_sho_m590_pts/wpn_fps_sho_m590_s_vltor"

-- Shell Rack --
table.insert(self.wpn_fps_sho_m590.uses_parts, "wpn_fps_shot_r870_body_rack")

self.wpn_fps_sho_m590.override.wpn_fps_shot_r870_body_rack = self.wpn_fps_sho_m590.override.wpn_fps_shot_r870_body_rack or {}
self.wpn_fps_sho_m590.override.wpn_fps_shot_r870_body_rack.a_obj = "a_bodyn"

self.parts.wpn_fps_sho_m590_body_rail.forbids = { "wpn_fps_shot_r870_body_rack" }

end)
